libcdr::CDROutputElement Class Referenceabstract
Inheritance diagram for libcdr::CDROutputElement:

## Public Member Functions

| CDROutputElement ()
virtual | ~CDROutputElement ()
virtual void | draw (librevenge::RVNGDrawingInterface *painter)=0

## Constructor & Destructor Documentation

## CDROutputElement()

libcdr::CDROutputElement::CDROutputElement | ( |  | ) |

inline

## ~CDROutputElement()

virtual libcdr::CDROutputElement::~CDROutputElement | ( |  | ) |

inline virtual

## Member Function Documentation

## draw()

virtual void libcdr::CDROutputElement::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) |

pure virtual

Implemented in libcdr::CDRCloseParagraphOutputElement, libcdr::CDRCloseSpanOutputElement, libcdr::CDREndLayerOutputElement, libcdr::CDREndTextObjectOutputElement, libcdr::CDRGraphicObjectOutputElement, libcdr::CDRInsertTextOutputElement, libcdr::CDROpenParagraphOutputElement, libcdr::CDROpenSpanOutputElement, libcdr::CDRPathOutputElement, libcdr::CDRStartLayerOutputElement, libcdr::CDRStartTextObjectOutputElement, and libcdr::CDRStyleOutputElement.

The documentation for this class was generated from the following file:

- CDROutputElementList.cpp